package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Modelos generated by hbm2java
 */
@Entity
@Table(name="modelos"
    ,catalog="sistema_ventas"
)
public class Modelos  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idproduct;
     private Marcas marcas;
     private String modelo;
     private Set<Productos> productoses = new HashSet<Productos>(0);

    public Modelos() {
    }

	
    public Modelos(Marcas marcas, String modelo) {
        this.marcas = marcas;
        this.modelo = modelo;
    }
    public Modelos(Marcas marcas, String modelo, Set<Productos> productoses) {
       this.marcas = marcas;
       this.modelo = modelo;
       this.productoses = productoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idproduct", unique=true, nullable=false)
    public Integer getIdproduct() {
        return this.idproduct;
    }
    
    public void setIdproduct(Integer idproduct) {
        this.idproduct = idproduct;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="marca", nullable=false)
    public Marcas getMarcas() {
        return this.marcas;
    }
    
    public void setMarcas(Marcas marcas) {
        this.marcas = marcas;
    }

    
    @Column(name="modelo", nullable=false, length=65535)
    public String getModelo() {
        return this.modelo;
    }
    
    public void setModelo(String modelo) {
        this.modelo = modelo;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="modelos")
    public Set<Productos> getProductoses() {
        return this.productoses;
    }
    
    public void setProductoses(Set<Productos> productoses) {
        this.productoses = productoses;
    }




}


